Testopia should add a comment when Reopening Bugs

UNCONFIRMED
Assigned to

Status

Testopia
Test Runs
--
enhancement
UNCONFIRMED
11 years ago
10 years ago

People

(Reporter: Gardner Wheeler, Assigned: Greg Hendricks)

Tracking

Details

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6
Build Identifier: Bugzilla 2.2

Testopia should add a comment when Reopening Bugs 

From: Gregary Hendricks     	Date: Aug 13, 11:45 pm

Newsgroups: mozilla.support.webtools

From: "Gregary Hendricks" <ghendri...@novell.com>
Date: Mon, 13 Aug 2007 15:45:51 -0600
Local: Mon, Aug 13 2007 11:45 pm
Subject: Re: Bugs get reopened with no comment after failing in a Test Run?

On Mon, 2007-08-13 at 03:52 -0700, G-Money wrote:
> This is a question for Testopia.

> On Aug 13, 12:14 pm, G-Money <gxwh...@yahoo.com> wrote:
> > Bugs get reopened with no comment after failing in a Test Run?

> > This seems like it could be a feature, but there is no comment in
> > bugzilla regarding what action caused the bug to be set to the
> > "reopened" status.

> > Is this a feature or a bug.

Hmm, good point. It would be a good idea for Testopia to say why a bug
is reopened. Log a bug as an enhancment. I will look into it.

Greg 

Reproducible: Always

Steps to Reproduce:
1. Create Test Run
2. Create Bug
3. Attach Bug to Test Case within Run
4. Close the bug
5. Fail the Test Case within the Run
Actual Results:  
Bug is reopened, but with NO comment.

Expected Results:  
Prompt is shown - would you like to reopen Bugs?
(a list of bugs with check boxes for each bug is displayed)
User checks bugs he desires to reopen.
User can enter a comment
Clicks save
Bugs are reopened 
comment is added (standard info, plus user comment)
User Comment is also added to the Test Case in the Run

Text in Expected Results is essentially a rough design, but hopefully it prompts discussion and a good solution.

Comment 1

10 years ago
Good idea.  Perhaps it could provide details about the run right in the comment - easier to read than a link back...
You need to log in before you can comment on or make changes to this bug.